Skip to content

Get customer list

GET
/v1/client
curl --request GET \
--url 'https://api-admin.billz.ai/v1/client?page=1&limit=10' \
--header 'Authorization: Bearer <token>' \
--header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'

Error codes: 400 — input validation error; 401, 403, 429, 500 — shared by all methods. Body formats and semantics: Response codes and errors.

page
integer format: int32
default: 1

Page number

limit
integer format: int32
default: 10

Page size

phone_number
string

Exact phone

chat_id
string

Telegram chat_id

search
string

Search string

platform-id
string
default: 7d4a4c38-dd84-4902-b744-0488b80a4c01

Platform identifier. A static value is used for integrations.

Successful response

Media typeapplication/json
object
count

Total number of customers found

integer format: int32
clients

List of customers

Array<object>
nullable
object
id

Customer ID

string format: uuid
external_id

External (sequential) identifier

string
first_name

Name

string
last_name

Last name

string
middle_name

Patronymic

string
created_at

Creation date

string
birth_date

Date of birth

string
first_transaction_date

First transaction date

string
last_transaction_date

Last transaction date

string
balance

Cashback balance

number format: double
cards

Card codes

Array<string>
company_name

Company name

string
chat_id

Telegram chat_id; if empty, the field is absent from the response

string
phone_numbers

Phones

Array<string>
gender

Gender: male, female or an empty string

string
Examplegenerated
{
"count": 1,
"clients": [
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"external_id": "example",
"first_name": "example",
"last_name": "example",
"middle_name": "example",
"created_at": "example",
"birth_date": "example",
"first_transaction_date": "example",
"last_transaction_date": "example",
"balance": 1,
"cards": [
"example"
],
"company_name": "example",
"chat_id": "example",
"phone_numbers": [
"example"
],
"gender": "example"
}
]
}